Program TestDial;

Uses m_sys, M_APPL, MRSRC, MDIALOG, M_Dials, M_Messages, m_alerts;

{$I AKA_CONF.I}
Const AlertStr = '[2|Dialogart][Wie soll der Dialog dargestellt werden][[Normal|[Flying|[Modal|NonM[odal]';

Const	Lboxen : Array[0..1] of Integer = ( Aka_Box, -1 );
		Edits : Array[0..1] of Integer = ( AKA_ADDR, -1 );
Type 
	TMyAppl	= Object( TDialog )
		RetCode		: Integer;

		Constructor	Init;
		Destructor	Done;
End;

Procedure	Handle( P : PtrDialPara ); Forward;

Procedure	DoAKA_CONF; External; {$L AKA_CONF.O}

Constructor	TMyAppl.Init;
Var But : Integer;
Begin
	But := Alert( 0, 0, 4, AlertStr );
	Case But of
		1:	Mode := DNormal;
		2:	Mode := DFlyDial;
		3:	Mode := DModal;
		4:	Mode := DNonModal;
	End;

	RetCode := 0;
	New( Rsc, Init( @DoAKA_CONF ));
	TDialog.Init( Rsc, AKA_DIAL, Handle );
	ClrBoxen( LBoxen );
	ClrEdits( Edits ); 
	OpenEdit( Mode, [dLeaveOut], AKA_ADDR, -1, -1, -1, -1, -1, 'Test Dialog' );
End;

Destructor	TMyAppl.Done;
Begin
	Dispose( Rsc, Done );
	App^.MagicPB^.IntIn[0]:= 1;  
	CallMagic (98);
	ApplTerm(RetCode);
End;

Var	Appl	: TMyAppl;

Procedure	Clicked( p : PtrDialPara );
Begin
	Case p^.Objc of
		AKA_CANCEL,
		AKA_SAVE:		Appl.Fin( p );
		AKA_Ok:			Appl.ResetButton( p );
	End;
End;

Procedure	Handle;
Begin
	Appl.NormHandler( p );
	if p^.Action = [] Then
	Begin
		case p^.Message of
			ObjcClicked,
			ObjcDblClicked:	Clicked( p );
		End;
	End;
End;

Begin
	Appl.Init;
	Appl.Run;
	Appl.Done;
End.