PROGRAM WinHello;

USES    M_Types,        (* Typ-definitionen     *)
        M_AES,          (* AES-Interface        *)
        M_Appl,         (* Applikation-Manager  *)
        M_Event,        (* Event-Dispatcher     *)
        M_Random,
        M_Windows,
        M_Textwindows;

VAR FirstWin, SecondWin, ThirdWin: TEXT;
    xx, yy, zz: INTEGER;
    att: BOOLEAN;

PROCEDURE FirstTimer (para: PtrEP);
VAR s: STRING[10];
    i, j: INTEGER;
BEGIN
 IF WinOpen (GetWindow(FirstWin)) THEN BEGIN
  FOR j:= 1 TO 10 DO s[j]:= Chr(M_Random.RndInt(127-32)+32);  s[0]:= CHR(10);
  Write (FirstWin, s);
 END;
END (*FirstTimer*);

PROCEDURE SecondTimer (para: PtrEP);
VAR s: STRING[10];
    i, j: INTEGER;
BEGIN
 IF WinOpen (GetWindow(SecondWin)) THEN BEGIN
  FOR j:= 1 TO 10 DO s[j]:= Chr(M_Random.RndInt(127-32)+32);  s[0]:= CHR(10);
  Write (SecondWin, s);
 END;
END (*SecondTimer*);

PROCEDURE ThirdTimer (para: PtrEP);
VAR s: STRING[10];
    i, j: INTEGER;
BEGIN
 IF WinOpen (GetWindow(ThirdWin)) THEN BEGIN
  FOR j:= 1 TO 10 DO s[j]:= Chr(M_Random.RndInt(127-32)+32);  s[0]:= CHR(10);
  Write (ThirdWin, s);
 END;
END (*ThirdTimer*);

PROCEDURE OpenWin (VAR t: Text; wname, winfo: STRING; farbe: INTEGER; mn: BOOLEAN;
                   xPos, yPos: INTEGER; Breite, Hoehe: INTEGER; wrap: INTEGER);
VAR x: POINTER;
    f: BITSET;
BEGIN
 f:= [M_AES.MOVE, NAME, CLOSER, FULL, INFO, M_AES.SIZE, SMALLER];
 x:= NIL;
 AssignTextwin (t, SimpleWinHandler, f, [], xPos, yPos, Breite, Hoehe, 0, 0, 0, 0,
                0, farbe, 100, 10, [], wrap, wname, winfo, x);
 SYSTEM.Rewrite (t);
END (*OpenWin*);

VAR name: STRING;

BEGIN
 MouseOn;
 MouseArrow;
 STR (ApplIdent:3, name); name := name + ' <- Applikationsnummer!'#0;
 OpenWin (FirstWin, ' Hello World 1 '#0, name, 1, FALSE, 100, 100, 250, 150, 50);
 OpenWin (SecondWin, ' Hello World 2 '#0, name, 2, FALSE, 400, 300, 200, 100, 50);
 OpenWin (ThirdWin, ' Hello World 3 '#0, name, 3, FALSE, 200, 150, 200, 100, 50);
 InstMUTIMER (FirstTimer, 20); 
 InstMUTIMER (SecondTimer, 60);
 InstMUTIMER (ThirdTimer, 120);
 WrapOn (FirstWin);  (* Wordwrapping ein *)
 WrapOn (SecondWin);
 WrapOn (ThirdWin);
 REPEAT
  CentralDispatcher;
 UNTIL WindowsOpen = 0;
 Close (FirstWin);
 Close (SecondWin);
 Close (ThirdWin);
 ApplTerm (0)
END.
